Get an event type
curl --request GET \
--url https://api.cal.id/event-types/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cal.id/event-types/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cal.id/event-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"interfaceLanguage": "<string>",
"position": 123,
"length": 123,
"offsetStart": 123,
"hidden": true,
"userId": 123,
"teamId": 123,
"profileId": 123,
"timeZone": "<string>",
"periodType": "<string>",
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"periodDays": 123,
"periodCountCalendarDays": true,
"lockTimeZoneToggleOnBookingPage": true,
"lockedTimeZone": "<string>",
"requiresConfirmation": true,
"requiresConfirmationWillBlockSlot": true,
"requiresConfirmationForFreeEmail": true,
"requiresBookerEmailVerification": true,
"disableGuests": true,
"hideCalendarNotes": true,
"hideCalendarEventDetails": true,
"minimumBookingNotice": 123,
"beforeEventBuffer": 123,
"afterEventBuffer": 123,
"seatsPerTimeSlot": 123,
"onlyShowFirstAvailableSlot": true,
"disableCancelling": true,
"disableRescheduling": true,
"disableHostCancelling": true,
"disableHostRescheduling": true,
"seatsShowAttendees": true,
"seatsShowAvailabilityCount": true,
"schedulingType": "<string>",
"scheduleId": 123,
"price": 123,
"currency": "<string>",
"slotInterval": 123,
"successRedirectUrl": "<string>",
"forwardParamsSuccessRedirect": true,
"isInstantEvent": true,
"instantMeetingExpiryTimeOffsetInSeconds": 123,
"assignAllTeamMembers": true,
"assignRRMembersUsingSegment": true,
"useEventTypeDestinationCalendarEmail": true,
"isRRWeightsEnabled": true,
"maxLeadThreshold": 123,
"includeNoShowInRRCalculation": true,
"allowReschedulingPastBookings": true,
"hideOrganizerEmail": true,
"maxActiveBookingsPerBooker": 123,
"maxActiveBookingPerBookerOfferReschedule": true,
"customReplyToEmail": "<string>",
"rescheduleWithSameRoundRobinHost": true,
"secondaryEmailId": 123,
"useBookerTimezone": true,
"restrictionScheduleId": 123,
"locations": null,
"bookingFields": null,
"recurringEvent": null,
"metadata": null,
"bookingLimits": null,
"durationLimits": null,
"rrSegmentQueryValue": null,
"eventTypeColor": null,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Event Types
Get an event type
Get event type by ID for the authenticated user
GET
/
event-types
/
{id}
Get an event type
Authorizations
Use the Authorization header with Bearer scheme.
Examples:
- API Key: Authorization: Bearer calid_xxxxx
Path Parameters
Numeric event type identifier.
Example:
42
Related topics
List event typesList team event typesGet a team event typeManage event typesHow to Get Notified on Slack When an Event is Booked?Was this page helpful?
⌘I